<Project Sdk="Microsoft.NET.Sdk.Web">

	<PropertyGroup>
		<TargetFramework>net8.0</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<EnforceCodeStyleInBuild>True</EnforceCodeStyleInBuild>
		<GenerateDocumentationFile>False</GenerateDocumentationFile>
		<UserSecretsId>55935cea-fc40-40f8-be42-da094f06b11f</UserSecretsId>
		<DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="AutoMapper" Version="13.0.1" />
		<PackageReference Include="AWSSDK.S3" Version="3.7.416.13" />
		<PackageReference Include="FirebaseAdmin" Version="3.3.0" />
		<PackageReference Include="MailKit" Version="4.9.0" />
		<PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="7.0.20" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.EntityFrameworkCore" Version="8.0.12" />
		<PackageReference Include="Microsoft.AspNetCore.Identity.UI" Version="8.0.12" />
		<PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="7.0.7" />
		<PackageReference Include="Microsoft.AspNetCore.SignalR" Version="1.2.0" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="8.0.12">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="8.0.12" />
		<PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="8.0.12">
			<PrivateAssets>all</PrivateAssets>
			<IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
		</PackageReference>
		<PackageReference Include="Microsoft.VisualStudio.Azure.Containers.Tools.Targets" Version="1.21.0" />
		<PackageReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Design" Version="9.0.0" />
		<PackageReference Include="Mime-Detective" Version="24.12.2" />
		<PackageReference Include="Mime-Detective.Definitions.Exhaustive" Version="24.12.2" />
		<PackageReference Include="Pomelo.EntityFrameworkCore.MySql" Version="8.0.2" />
		<PackageReference Include="Serilog.AspNetCore" Version="9.0.0" />
		<PackageReference Include="Serilog.Sinks.Async" Version="2.1.0" />
		<PackageReference Include="Serilog.Sinks.Console" Version="6.0.0" />
		<PackageReference Include="Serilog.Sinks.File" Version="6.0.0" />
		<PackageReference Include="Serilog.Sinks.MongoDB" Version="7.0.0" />
		<PackageReference Include="Swashbuckle.AspNetCore" Version="6.5.0" />
	</ItemGroup>

	<ItemGroup>
		<ProjectReference Include="..\Marco.Pms.DataAccess\Marco.Pms.DataAccess.csproj" />
		<ProjectReference Include="..\Marco.Pms.Model\Marco.Pms.Model.csproj" />
		<ProjectReference Include="..\Marco.Pms.Utility\Marco.Pms.Utility.csproj" />
		<ProjectReference Include="..\Marco.Pms.Helpers\Marco.Pms.Helpers.csproj" />
	</ItemGroup>
	<ItemGroup>
		<Content Include="EmailTemplates\**\*.html">
			<CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
		</Content>
	</ItemGroup>

</Project>
